BEGIN ~GelNDia~ 
///////////////////////////DUAL CLASS: TO THIEF////////////////////////////////////////// 
IF ~Class(LastTalkedToBy(Myself),THIEF)~ THEN BEGIN GelStart 
  SAY ~Do you want to change your Thief Kit?~ 
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT 
    IF ~!Class(LastTalkedToBy(Myself),MAGE) !Class(LastTalkedToBy(Myself),FIGHTER) !Class(LastTalkedToBy(Myself),CLERIC)~ THEN REPLY ~Yes.~ GOTO GelPickThief 
    IF ~OriginalClass(LastTalkedToBy(Myself),CLERIC)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelFirstKit 
    IF ~OriginalClass(LastTalkedToBy(Myself),FIGHTER)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelFirstKit 
    IF ~OriginalClass(LastTalkedToBy(Myself),MAGE)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelFirstKit
END

IF ~~ THEN BEGIN GelFirstKit
  SAY ~Do you also want to keep your first class kit bonuses, restrictions and abilities?~
    IF ~Kit(LastTalkedToBy(Myself),KENSAI)~ THEN REPLY ~Keep Kensai Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepKen","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelKenI",LastTalkedToBy(Myself)))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),DWARVEN_DEFENDER)~ THEN REPLY ~Keep Dwarven Defender Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepDwD","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),BERSERKER)~ THEN REPLY ~Keep Berskerker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBer","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),WIZARDSLAYER)~ THEN REPLY ~Keep Wizard_Slayer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepWiS","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelWiSI",LastTalkedToBy(Myself)))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),BARBARIAN)~ THEN REPLY ~Keep Barbarian Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBar","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelBarI",LastTalkedToBy(Myself)))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ABJURER)~ THEN REPLY ~Keep Abjurer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepAbj","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_CONJURER)~ THEN REPLY ~Keep Conjurer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepCon","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_DIVINER)~ THEN REPLY ~Keep Diviner Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepDev","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ENCHANTER)~ THEN REPLY ~Keep Enchanter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepEnc","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ILLUSIONIST)~ THEN REPLY ~Keep Illusionist Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepIll","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_INVOKER)~ THEN REPLY ~Keep Invoker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepInv","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_NECROMANCER)~ THEN REPLY ~Keep Necromancer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepNec","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_TRANSMUTER)~ THEN REPLY ~Keep Transmuter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTra","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),GelSMag)~ THEN REPLY ~Keep Super Mage Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSupM","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),GODTALOS)~ THEN REPLY ~Keep Talos Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTal","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),GODLATHANDER)~ THEN REPLY ~Keep Lathander Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepLat","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),GODHELM)~ THEN REPLY ~Keep Helm Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepHel","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),OHTEMPUS)~ THEN REPLY ~Keep Tempus Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTem","LOCALS",1))~ GOTO GelPickThief
    IF ~Kit(LastTalkedToBy(Myself),OHTYR)~ THEN REPLY ~Keep Tyr Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTyr","LOCALS",1))~ GOTO GelPickThief
    IF ~~ THEN REPLY ~No, i want unkitted first class~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepOrg","LOCALS",1))~ GOTO GelPickThief
END

IF ~~ THEN BEGIN GelPickThief
  SAY ~Choose your thief kit~
    IF ~~ THEN REPLY ~Assassin~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("ASSASIN"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Shadowdancer~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("SHADOWDANCER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Swashbuckler~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("SWASHBUCKLER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Bounty Hunter~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("BOUNTYHUNTER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~I want all Thief kits combined into one!~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelSupT")) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelSuperThief","LOCALS",1))~ GOTO GelApplied
//    IF ~~ THEN REPLY ~Never mind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~~ THEN BEGIN GelApplied
  SAY ~Done. Your Kit and/or overlay is active~
    IF ~~ THEN REPLY ~Thanks.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

///////////////////////////DUAL CLASS: To Mage////////////////////////////////////////// 

IF ~Class(LastTalkedToBy(Myself),MAGE)~ THEN BEGIN GelStartMage 
  SAY ~Do you want to change your Mage Kit?~ 
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT 
    IF ~!Class(LastTalkedToBy(Myself),THIEF) !Class(LastTalkedToBy(Myself),FIGHTER) !Class(LastTalkedToBy(Myself),CLERIC)~ THEN REPLY ~Yes.~ GOTO GelPickMage 
    IF ~OriginalClass(LastTalkedToBy(Myself),CLERIC)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelMageFirstKit 
    IF ~OriginalClass(LastTalkedToBy(Myself),FIGHTER)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelMageFirstKit 
    IF ~OriginalClass(LastTalkedToBy(Myself),THIEF)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelMageFirstKit 
END 

IF ~~ THEN BEGIN GelMageFirstKit 
  SAY ~Do you also want to keep your first class kit bonuses, restrictions and abilities?~ 
    IF ~Kit(LastTalkedToBy(Myself),KENSAI)~ THEN REPLY ~Keep Kensai Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepKen","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelKenI",LastTalkedToBy(Myself)))~ GOTO GelPickMage
    IF ~Kit(LastTalkedToBy(Myself),DWARVEN_DEFENDER)~ THEN REPLY ~Keep Dwarven Defender Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepDwD","LOCALS",1))~ GOTO GelPickMage  
    IF ~Kit(LastTalkedToBy(Myself),BERSERKER)~ THEN REPLY ~Keep Berskerker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBer","LOCALS",1))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),WIZARDSLAYER)~ THEN REPLY ~Keep Wizard_Slayer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepWiS","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelWiSI",LastTalkedToBy(Myself)))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),BARBARIAN)~ THEN REPLY ~Keep Barbarian Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBar","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelBarI",LastTalkedToBy(Myself)))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),GODTALOS)~ THEN REPLY ~Keep Talos Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTal","LOCALS",1))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),GODLATHANDER)~ THEN REPLY ~Keep Lathander Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepLat","LOCALS",1))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),GODHELM)~ THEN REPLY ~Keep Helm Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepHel","LOCALS",1))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),OHTEMPUS)~ THEN REPLY ~Keep Tempus Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTem","LOCALS",1))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),OHTYR)~ THEN REPLY ~Keep Tyr Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTyr","LOCALS",1))~ GOTO GelPickMage 
    IF ~Kit(LastTalkedToBy(Myself),ASSASIN)~ THEN REPLY ~Keep Assassin Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepAss","LOCALS",1))~ GOTO GelPickMage
    IF ~Kit(LastTalkedToBy(Myself),SHADOWDANCER)~ THEN REPLY ~Keep Shadowdancer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSha","LOCALS",1))~ GOTO GelPickMage
    IF ~Kit(LastTalkedToBy(Myself),BOUNTYHUNTER)~ THEN REPLY ~Keep Bounty Hunter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBou","LOCALS",1))~ GOTO GelPickMage
    IF ~Kit(LastTalkedToBy(Myself),SWASHBUCKLER)~ THEN REPLY ~Keep Swashbuckler Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSwa","LOCALS",1))~ GOTO GelPickMage
    IF ~Kit(LastTalkedToBy(Myself),GelSupT)~ THEN REPLY ~Keep Combined Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSuperT","LOCALS",1))~ GOTO GelPickMage
    IF ~~ THEN REPLY ~No, i want unkitted first class~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepOrg","LOCALS",1))~ GOTO GelPickMage 
END 

IF ~~ THEN BEGIN GelPickMage 
  SAY ~Choose your Mage kit~ 
    IF ~~ THEN REPLY ~Abjurer~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_ABJURER")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied 
    IF ~~ THEN REPLY ~Conjurer~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_CONJURER")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied 
    IF ~~ THEN REPLY ~Diviner~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_DIVINER")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied 
    IF ~~ THEN REPLY ~Enchanter~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_ENCHANTER")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied 
    IF ~~ THEN REPLY ~Illusionist~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_ILLUSIONIST")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied 
    IF ~~ THEN REPLY ~Invoker~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_INVOKER")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied 
    IF ~~ THEN REPLY ~Necromancer~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_NECROMANCER")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Transmuter~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("MAGESCHOOL_TRANSMUTER")) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSup1",LastTalkedToBy(Myself)))~ GOTO GelApplied 
    IF ~~ THEN REPLY ~I want Super Mage kit with 1 extra spells cast per level, no class restrictions or bonuses.~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelSMag"))~ GOTO GelApplied 
//    IF ~~ THEN REPLY ~Never mind.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelTDia_Init","LOCALS",3))~ EXIT 
END

//////////////////////DUAL TO CLERIC//////////////////////////////
/// DUAL TO CLERIC
IF ~Class(LastTalkedToBy(Myself),CLERIC)~ THEN BEGIN GelStartCleric
  SAY ~Do you want to change your Cleric Kit?~
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
    IF ~!Class(LastTalkedToBy(Myself),MAGE) !Class(LastTalkedToBy(Myself),THIEF) !Class(LastTalkedToBy(Myself),FIGHTER) !Class(LastTalkedToBy(Myself),RANGER)~ THEN REPLY ~Yes.~ GOTO GelPickCleric
    IF ~OriginalClass(LastTalkedToBy(Myself),MAGE)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelClericFirstKit
    IF ~OriginalClass(LastTalkedToBy(Myself),THIEF)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelClericFirstKit
    IF ~OriginalClass(LastTalkedToBy(Myself),FIGHTER)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelClericFirstKit
    IF ~OriginalClass(LastTalkedToBy(Myself),RANGER)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelClericFirstKit
END

IF ~~ THEN BEGIN GelClericFirstKit
  SAY ~Do you also want to keep your first class kit bonuses, restrictions and abilities?~
    IF ~Kit(LastTalkedToBy(Myself),KENSAI)~ THEN REPLY ~Keep Kensai Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepKen","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelKenI",LastTalkedToBy(Myself)))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),DWARVEN_DEFENDER)~ THEN REPLY ~Keep Dwarven Defender Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepDwD","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),BERSERKER)~ THEN REPLY ~Keep Berskerker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBer","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),WIZARDSLAYER)~ THEN REPLY ~Keep Wizard_Slayer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepWiS","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelWiSI",LastTalkedToBy(Myself)))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),BARBARIAN)~ THEN REPLY ~Keep Barbarian Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBar","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelBarI",LastTalkedToBy(Myself)))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ABJURER)~ THEN REPLY ~Keep Abjurer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepAbj","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_CONJURER)~ THEN REPLY ~Keep Conjurer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepCon","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_DIVINER)~ THEN REPLY ~Keep Diviner Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepDev","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ENCHANTER)~ THEN REPLY ~Keep Enchanter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepEnc","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ILLUSIONIST)~ THEN REPLY ~Keep Illusionist Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepIll","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_INVOKER)~ THEN REPLY ~Keep Invoker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepInv","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_NECROMANCER)~ THEN REPLY ~Keep Necromancer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepNec","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_TRANSMUTER)~ THEN REPLY ~Keep Transmuter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTra","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),GelSMag)~ THEN REPLY ~Keep Super Mage Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSupM","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),STALKER)~ THEN REPLY ~Keep Stalker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSta","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelStaI",LastTalkedToBy(Myself)))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),GelSlin)~ THEN REPLY ~Keep Slinging Beastmaster Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSli","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSliI",LastTalkedToBy(Myself)))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),ASSASIN)~ THEN REPLY ~Keep Assassin Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepAss","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),SHADOWDANCER)~ THEN REPLY ~Keep Shadowdancer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSha","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),BOUNTYHUNTER)~ THEN REPLY ~Keep Bounty Hunter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBou","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),SWASHBUCKLER)~ THEN REPLY ~Keep Swashbuckler Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSwa","LOCALS",1))~ GOTO GelPickCleric
    IF ~Kit(LastTalkedToBy(Myself),GelSupT)~ THEN REPLY ~Keep Combined Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSuperT","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSupR",LastTalkedToBy(Myself)))~ GOTO GelPickCleric
    IF ~~ THEN REPLY ~No, i want unkitted first class~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepOrg","LOCALS",1))~ GOTO GelPickCleric
  END

IF ~~ THEN BEGIN GelPickCleric
  SAY ~Choose your Cleric kit~
    IF ~~ THEN REPLY ~Talos~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GODTALOS"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Lathander~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GODLATHANDER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Helm~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GODHELM"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Tempus~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("OHTEMPUS"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Tyr~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("OHTYR"))~ GOTO GelApplied
//    IF ~~ THEN REPLY ~Never mind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

////////////////////DUAL TO FIGHTER//////////////////////////////////
IF ~Class(LastTalkedToBy(Myself),FIGHTER)~ THEN BEGIN GelStartFighter
  SAY ~Do you want to change your Fighter Kit?~
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
    IF ~!Class(LastTalkedToBy(Myself),MAGE) !Class(LastTalkedToBy(Myself),THIEF) !Class(LastTalkedToBy(Myself),DRUID) !Class(LastTalkedToBy(Myself),CLERIC)~ THEN REPLY ~Yes.~ GOTO GelPickFighter
    IF ~OriginalClass(LastTalkedToBy(Myself),MAGE)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelFighterFirstKit
    IF ~OriginalClass(LastTalkedToBy(Myself),THIEF)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelFighterFirstKit
    IF ~OriginalClass(LastTalkedToBy(Myself),DRUID)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelFighterFirstKit
    IF ~OriginalClass(LastTalkedToBy(Myself),CLERIC)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelFighterFirstKit
END

IF ~~ THEN BEGIN GelFighterFirstKit
  SAY ~Do you also want to keep your first class kit bonuses, restrictions and abilities?~
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ABJURER)~ THEN REPLY ~Keep Abjurer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepAbj","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_CONJURER)~ THEN REPLY ~Keep Conjurer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepCon","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_DIVINER)~ THEN REPLY ~Keep Diviner Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepDev","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ENCHANTER)~ THEN REPLY ~Keep Enchanter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepEnc","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_ILLUSIONIST)~ THEN REPLY ~Keep Illusionist Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepIll","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_INVOKER)~ THEN REPLY ~Keep Invoker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepInv","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_NECROMANCER)~ THEN REPLY ~Keep Necromancer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepNec","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),MAGESCHOOL_TRANSMUTER)~ THEN REPLY ~Keep Transmuter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTra","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),GelSMag)~ THEN REPLY ~Keep Super Mage Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSupM","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),GODTALOS)~ THEN REPLY ~Keep Talos Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTal","LOCALS",1))~ GOTO GelPickFighter 
    IF ~Kit(LastTalkedToBy(Myself),GODLATHANDER)~ THEN REPLY ~Keep Lathander Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepLat","LOCALS",1))~ GOTO GelPickFighter 
    IF ~Kit(LastTalkedToBy(Myself),GODHELM)~ THEN REPLY ~Keep Helm Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepHel","LOCALS",1))~ GOTO GelPickFighter 
    IF ~Kit(LastTalkedToBy(Myself),OHTEMPUS)~ THEN REPLY ~Keep Tempus Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTem","LOCALS",1))~ GOTO GelPickFighter 
    IF ~Kit(LastTalkedToBy(Myself),OHTYR)~ THEN REPLY ~Keep Tyr Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTyr","LOCALS",1))~ GOTO GelPickFighter 
    IF ~Kit(LastTalkedToBy(Myself),ASSASIN)~ THEN REPLY ~Keep Assassin Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepAss","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),SHADOWDANCER)~ THEN REPLY ~Keep Shadowdancer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSha","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),GelSupT)~ THEN REPLY ~Keep Combined Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSuperT","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelSupR",LastTalkedToBy(Myself)))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),BOUNTYHUNTER)~ THEN REPLY ~Keep Bounty Hunter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBou","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),SWASHBUCKLER)~ THEN REPLY ~Keep Swashbuckler Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepSwa","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),TOTEMIC)~ THEN REPLY ~Keep Totemic Druid Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTot","LOCALS",1))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),SHAPESHIFTER)~ THEN REPLY ~Keep Shapeshifter Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepShp","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelShp1",LastTalkedToBy(Myself)))~ GOTO GelPickFighter
    IF ~Kit(LastTalkedToBy(Myself),BEASTFRIEND)~ THEN REPLY ~Keep Avenger Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepAve","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelAveI",LastTalkedToBy(Myself)))~ GOTO GelPickFighter
    IF ~~ THEN REPLY ~No, i want unkitted first class~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepOrg","LOCALS",1))~ GOTO GelPickFighter
  END

IF ~~ THEN BEGIN GelPickFighter
  SAY ~Choose your Fighter kit~
    IF ~~ THEN REPLY ~Kensai~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("KENSAI"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Dwarven Defender~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("DWARVEN_DEFENDER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Berserker~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("BERSERKER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Wizard Slayer~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("WIZARDSLAYER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Barbarian~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("BARBARIAN"))~ GOTO GelApplied
//    IF ~~ THEN REPLY ~Never mind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

///////////////////////DUAL TO RANGER////////////////////////////////
IF ~Class(LastTalkedToBy(Myself),RANGER)~ THEN BEGIN GelStartRanger
  SAY ~Do you want to change your Ranger Kit?~
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
    IF ~OriginalClass(LastTalkedToBy(Myself),CLERIC)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelRangerFirstKit
END

IF ~~ THEN BEGIN GelRangerFirstKit
  SAY ~Do you also want to keep your first class kit bonuses, restrictions and abilities?~
    IF ~Kit(LastTalkedToBy(Myself),GODTALOS)~ THEN REPLY ~Keep Talos Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTal","LOCALS",1))~ GOTO GelPickRanger
    IF ~Kit(LastTalkedToBy(Myself),GODLATHANDER)~ THEN REPLY ~Keep Lathander Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepLat","LOCALS",1))~ GOTO GelPickRanger
    IF ~Kit(LastTalkedToBy(Myself),GODHELM)~ THEN REPLY ~Keep Helm Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepHel","LOCALS",1))~ GOTO GelPickRanger
    IF ~Kit(LastTalkedToBy(Myself),OHTEMPUS)~ THEN REPLY ~Keep Tempus Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTem","LOCALS",1))~ GOTO GelPickRanger
    IF ~Kit(LastTalkedToBy(Myself),OHTYR)~ THEN REPLY ~Keep Tyr Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepTyr","LOCALS",1))~ GOTO GelPickRanger
    IF ~~ THEN REPLY ~No, i want unkitted first class~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepOrg","LOCALS",1))~ GOTO GelPickRanger
END

IF ~~ THEN BEGIN GelPickRanger
  SAY ~Choose your Ranger kit~
    IF ~~ THEN REPLY ~Stalker~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("STALKER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~I want a the new Slinging Beastmaster~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelSliD"))~ GOTO GelApplied
//    IF ~~ THEN REPLY ~Never mind.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelTDia_Init","LOCALS",3))~ EXIT
END

//////////////////////////DUAL TO DRUID///////////////////////////////////
IF ~Class(LastTalkedToBy(Myself),DRUID)~ THEN BEGIN GelStartDruid
  SAY ~Do you want to change your Druid Kit?~
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
    IF ~OriginalClass(LastTalkedToBy(Myself),FIGHTER)~ THEN REPLY ~Yes, but what about my first class?~ GOTO GelDruidFirstKit
END

IF ~~ THEN BEGIN GelDruidFirstKit
  SAY ~Do you also want to keep your first class kit bonuses, restrictions and abilities?~
    IF ~Kit(LastTalkedToBy(Myself),KENSAI)~ THEN REPLY ~Keep Kensai Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepKen","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelKenI",LastTalkedToBy(Myself)))~ GOTO GelPickDruid
    IF ~Kit(LastTalkedToBy(Myself),DWARVEN_DEFENDER)~ THEN REPLY ~Keep Dwarven Defender Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepDwD","LOCALS",1))~ GOTO GelPickDruid
    IF ~Kit(LastTalkedToBy(Myself),BERSERKER)~ THEN REPLY ~Keep Berskerker Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBer","LOCALS",1))~ GOTO GelPickDruid
    IF ~Kit(LastTalkedToBy(Myself),WIZARDSLAYER)~ THEN REPLY ~Keep Wizard_Slayer Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepWiS","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelWiSI",LastTalkedToBy(Myself)))~ GOTO GelPickDruid
    IF ~Kit(LastTalkedToBy(Myself),BARBARIAN)~ THEN REPLY ~Keep Barbarian Kit specifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepBar","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),ReallyForceSpellRES("GelBarI",LastTalkedToBy(Myself)))~ GOTO GelPickDruid
    IF ~~ THEN REPLY ~No, i want unkitted first class~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelKeepOrg","LOCALS",1))~ GOTO GelPickDruid
END

IF ~~ THEN BEGIN GelPickDruid
  SAY ~Choose your Druid kit~
    IF ~~ THEN REPLY ~Totemic Druid~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("TOTEMIC"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Shapeshifter~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("SHAPESHIFTER"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Avenger~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("BEASTFRIEND"))~ GOTO GelApplied
    IF ~~ THEN REPLY ~Never mind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

////////////////////////////MULTICLASS SECTION////////////////////////////////
IF ~Class(LastTalkedToBy(Myself),FIGHTER_MAGE_THIEF)~ THEN BEGIN GelFMT1
  SAY ~Do you want to change kits on your Fighter / Mage / Thief?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelFighterMulti","LOCALS",1) SetGlobal("GelMageMulti","LOCALS",1) SetGlobal("GelThiefMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),FIGHTER_MAGE_CLERIC)~ THEN BEGIN GelFMC1
  SAY ~Do you want to change kits on your Fighter / Mage / Cleric?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelFighterMulti","LOCALS",1) SetGlobal("GelMageMulti","LOCALS",1) SetGlobal("GelClericMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),FIGHTER_MAGE)~ THEN BEGIN GelFM1
  SAY ~Do you want to change kits on your Fighter / Mage?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelFighterMulti","LOCALS",1) SetGlobal("GelMageMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),FIGHTER_THIEF)~ THEN BEGIN GelFT1
  SAY ~Do you want to change kits on your Fighter / Thief?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelFighterMulti","LOCALS",1) SetGlobal("GelThiefMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),FIGHTER_CLERIC)~ THEN BEGIN GelFC1
  SAY ~Do you want to change kits on your Fighter / Cleric?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelFighterMulti","LOCALS",1) SetGlobal("GelClericMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),FIGHTER_DRUID)~ THEN BEGIN GelFD1
  SAY ~Do you want to change kits on your Fighter / Druid?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelFighterMulti","LOCALS",1) SetGlobal("GelDruidMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),MAGE_THIEF)~ THEN BEGIN GelMT1
  SAY ~Do you want to change kits on your Mage / Thief?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelMageMulti","LOCALS",1) SetGlobal("GelThiefMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),CLERIC_MAGE)~ THEN BEGIN GelCM1
  SAY ~Do you want to change kits on your Cleric / Mage?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelMageMulti","LOCALS",1) SetGlobal("GelClericMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),CLERIC_THIEF)~ THEN BEGIN GelCT1
  SAY ~Do you want to change kits on your Cleric / Thief?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelClericMulti","LOCALS",1) SetGlobal("GelThiefMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~Class(LastTalkedToBy(Myself),CLERIC_RANGER)~ THEN BEGIN GelCR1
  SAY ~Do you want to change kits on your Cleric / Ranger?~
    IF ~~ THEN REPLY ~Yes.~ DO ~SetGlobal("GelClericMulti","LOCALS",1) SetGlobal("GelRangerMulti","LOCALS",1)~ GOTO GelNextMulti_Delay
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~~ THEN BEGIN GelNextMulti_Delay
  SAY ~Rederecting to kit chooser~
    IF ~~ THEN REPLY ~Ok.~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelNextMulti
  SAY ~Class Found Pick Kits~
    IF ~Global("GelFighterMulti","LOCALS",1)~ THEN REPLY ~Choose Fighter Kit~ DO ~SetGlobal("GelFighterMulti","LOCALS",2)~ GOTO GelFighterMulti
    IF ~Global("GelMageMulti","LOCALS",1)~ THEN REPLY ~Choose Mage Kit~ DO ~SetGlobal("GelMageMulti","LOCALS",2)~ GOTO GelMageMulti
    IF ~Global("GelThiefMulti","LOCALS",1)~ THEN REPLY ~Choose Thief Kit~ DO ~SetGlobal("GelThiefMulti","LOCALS",2)~ GOTO GelThiefMulti
    IF ~Global("GelClericMulti","LOCALS",1)~ THEN REPLY ~Choose Cleric Kit~ DO ~SetGlobal("GelClericMulti","LOCALS",2)~ GOTO GelClericMulti
    IF ~Global("GelRangerMulti","LOCALS",1)~ THEN REPLY ~Choose Ranger Kit~ DO ~SetGlobal("GelRangerMulti","LOCALS",2)~ GOTO GelRangerMulti
    IF ~Global("GelDruidMulti","LOCALS",1)~ THEN REPLY ~Choose Druid Kit~ DO ~SetGlobal("GelDruidMulti","LOCALS",2)~ GOTO GelDruidMulti
    IF ~Global("GelMageMulti","LOCALS",1) Global("GelThiefMulti","LOCALS",1) GlobalLT("GelTMC","LOCALS",1) !Global("GelFighterMulti","LOCALS",1)~ THEN REPLY ~I want to become a Thief / Mage / Cleric class~ DO ~SetGlobal("GelTMC","LOCALS",1)~ GOTO GelTMC
    IF ~Global("GelMageMulti","LOCALS",1) Global("GelThiefMulti","LOCALS",1) GlobalLT("GelFMTC","LOCALS",1) Global("GelFighterMulti","LOCALS",1)~ THEN REPLY ~I want to become a Fighter / Thief / Mage / Cleric class~ DO ~SetGlobal("GelFMTC","LOCALS",1)~ GOTO GelFMTC
    IF ~~ THEN REPLY ~Im done.~ GOTO GelChooseXPNerf
END

IF ~~ THEN BEGIN GelFighterMulti
  SAY ~Which fighter kit do you want?~
    IF ~~ THEN REPLY ~None~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Kensai~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiKen","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Barbarian~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiBar","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Berserker~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiBer","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Dwarven Defender~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiDwD","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Wizard Slayer~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiWiS","LOCALS",1))~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelMageMulti
  SAY ~Which mage kit do you want?~
    IF ~~ THEN REPLY ~None~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Abjurer~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiAbj","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Conjurer~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiCon","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Deviner~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiDev","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Enchanter~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiEnc","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Illusionist~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiIll","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Invoker~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiInv","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Necromancer~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiNec","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Transmuter~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiTra","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~SuperKit, with no restrictions and 1 extra spellcast~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiSup","LOCALS",1))~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelThiefMulti
  SAY ~Which Thief kit do you want?~
    IF ~~ THEN REPLY ~None~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Assassin~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiAss","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Bounty Hunter~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiBou","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Swashbuckler~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiSwa","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Shadowdancer~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiSha","LOCALS",1))~ GOTO GelMultiSuperThief
    IF ~~ THEN REPLY ~I want all Thief kits combined~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelSuperThief","LOCALS",1))~ GOTO GelMultiSuperThief
END

IF ~~ THEN BEGIN GelMultiSuperThief
  SAY ~Do you also want to add kit specific HLA abilities on certain high levels?~
    IF ~~ THEN REPLY ~No.~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Yes.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelThiefHLA","LOCALS",1))~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelClericMulti
  SAY ~Which Cleric kit do you want?~
    IF ~~ THEN REPLY ~None~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Talos~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiTal","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Helm~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiHel","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Lathander~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiLat","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Tempus~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiTemp","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Tyr~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiTyr","LOCALS",1))~ GOTO GelNextMulti
    IF ~Class(LastTalkedToBy(Myself),CLERIC_ALL) GlobalLT("GelDruidSpellsAddDevine","LOCALS",1)~ THEN REPLY ~I want to add all druidic spells as well(Suggested XP nerf is 10-20%)~ DO ~SetGlobal("GelDruidSpellsAddDevine","LOCALS",1)~ GOTO GelDruidSpellsAddDevine
END

IF ~~ THEN BEGIN GelDruidMulti
  SAY ~Which Druid kit do you want?~
    IF ~~ THEN REPLY ~None~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Totemic Druid~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiTot","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Shapeshifter~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiShp","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Avenger~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiAve","LOCALS",1))~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelRangerMulti
  SAY ~Which Ranger kit do you want?~
    IF ~~ THEN REPLY ~None~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Stalker~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiSta","LOCALS",1))~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~Slinging Beastmaster~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiSli","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelSlin"))~ GOTO GelNextMulti
//IF ~~ THEN REPLY ~Beast Master~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiBea","LOCALS",1))~ GOTO GelNextMulti
//IF ~~ THEN REPLY ~Archer~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMultiArc","LOCALS",1))~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelTMC
  SAY ~You have chosen TMC kit. Suggested XP Nerf is 34%. You will only be able to wield Thief/Mage items, but may not set profience in other than CLUB, SLING, QUARTERSTAFF, MACE, WAR HAMMER &  FLAIL/MORNINGSTAR. The cleric wepons will not be availeble for use before you gain Use Any Item HLA, all "pointy wepons" such as bow, swords, knives, crossbows will be restricted until then as well. So plan accordingly. Your cleric spells will be written into the mage spellbook, and cast slots will be increased. Wisdom will give bonuses as well.~
    IF ~~ THEN REPLY ~Thanks.~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelTMC")) SetGlobal("GelClericMulti","LOCALS",1)~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~I want to add all druidic spells as well(Suggested XP nerf is now 40-50%)~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelTMC")) SetGlobal("GelClericMulti","LOCALS",1)~ GOTO GelDruidSpellsAddArcane
    IF ~~ THEN REPLY ~I don't want this.~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelFMTC
  SAY ~You have chosen FMTC kit. Suggested XP Nerf is 34%. You will only be able to wield Fighter/Thief/Mage items, but may not set profience in other than CLUB, SLING, QUARTERSTAFF, MACE, WAR HAMMER &  FLAIL/MORNINGSTAR. The cleric wepons will not be availeble for use before you gain Use Any Item HLA, all "pointy wepons" such as bow, swords, knives, crossbows will be restricted until then as well. So plan accordingly. Your cleric spells will be written into the mage spellbook, and cast slots will be increased. Wisdom will give bonuses as well. Profience points can be put into fighting styles to waste points if filled, they scale to 5, but bonuses are only scaled to 2 or 3 for two-wepon style.~
    IF ~~ THEN REPLY ~Thanks.~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelFMTC")) SetGlobal("GelClericMulti","LOCALS",1)~ GOTO GelNextMulti
    IF ~~ THEN REPLY ~I want to add all druidic spells as well(Suggested XP nerf is now 40-50%)~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelFMTC")) SetGlobal("GelClericMulti","LOCALS",1)~ GOTO GelDruidSpellsAddArcane
    IF ~~ THEN REPLY ~I don't want this.~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelDruidSpellsAddArcane
  SAY ~You got one choice.~
    IF ~~ THEN REPLY ~Add Druid Spells to magebook~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelDruidSpellsAddAV","LOCALS",1))~ GOTO GelNextMulti
//    IF ~~ THEN REPLY ~Icewindifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelDruidSpellsAddAI","LOCALS",1))~ GOTO GelNextMulti
//    IF ~~ THEN REPLY ~SCS without Icewindifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelDruidSpellsAddAS","LOCALS",1))~ GOTO GelNextMulti
END

IF ~~ THEN BEGIN GelDruidSpellsAddDevine
  SAY ~You got one choice.~
  IF ~~ THEN REPLY ~Add Druid Spells to devine spellbook~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelDruidSpellsAddDV","LOCALS",1))~ GOTO GelClericMulti
//  IF ~~ THEN REPLY ~Icewindifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelDruidSpellsAddDI","LOCALS",1))~ GOTO GelClericMulti
//  IF ~~ THEN REPLY ~SCS without Icewindifications~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelDruidSpellsAddDS","LOCALS",1))~ GOTO GelClericMulti
END

//////////// MONK, Paladin Bard //////////

IF ~Class(LastTalkedToBy(Myself),MONK)~ THEN BEGIN GelMonk
  SAY ~Do you want to change kit on your monk?~
    IF ~~ THEN REPLY ~Yes.~ GOTO GelMonkKitPick
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END 

IF ~~ THEN BEGIN GelMonkKitPick
  SAY ~Which kit do you want?~
    IF ~~ THEN REPLY ~Dark Moon~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("DARK_MOON"))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~Sun Soul~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("SUN_SOUL"))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I want all monk kits combined~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelSupMonk","LOCALS",1)) ActionOverride(LastTalkedToBy(Myself),AddSuperKit("DARK_MOON"))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I want no kitchange, but to alter other stuff~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~Nevermind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END

IF ~~ THEN BEGIN GelMonkChoice
  SAY ~Do you want any more features for your monk?~
    IF ~GlobalLT("GelMoPhyRes","LOCALS",1)~ THEN REPLY ~I want to add some physical res~ DO ~SetGlobal("GelMoPhyRes","LOCALS",1)~ GOTO GelMonkPhysicalRes
    IF ~GlobalLT("GelMoCrit","LOCALS",1)~ THEN REPLY ~I want protection from critical hits~ DO ~SetGlobal("GelMoCrit","LOCALS",1)~ GOTO GelMoCrit
    IF ~GlobalLT("GelMoAttributes","LOCALS",1)~ THEN REPLY ~I want some bonus attributes~ DO ~SetGlobal("GelMoAttributes","LOCALS",1)~ GOTO GelMoAttributes
    IF ~~ THEN REPLY ~I'm done, go to other choice section~ GOTO GelChooseXPNerf
END

IF ~~ THEN BEGIN GelMonkPhysicalRes
  SAY ~Choose physical resists value.~
    IF ~~ THEN REPLY ~I want 5% scaled level 1, 5, 10, 15 and 20.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMoScRes","LOCALS",1))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I want 5%~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMo5Res","LOCALS",1))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I want 10%~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMo10Res","LOCALS",1))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I want 15%~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMo15Res","LOCALS",1))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I want 20%~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMo20Res","LOCALS",1))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I don't want this feature~ GOTO GelMonkChoice
END

IF ~~ THEN BEGIN GelMoCrit
  SAY ~Critical hit protection enabled~
    IF ~~ THEN REPLY ~Thanks.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelMoCritEnabled","LOCALS",1))~ GOTO GelMonkChoice
END

IF ~~ THEN BEGIN GelMoAttributes
  SAY ~Choose attribute values.~
    IF ~~ THEN REPLY ~1 bonus to Strength, dexterity and constitution~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelAttBonus1","LOCALS",1))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~2 bonus to Strength, dexterity and constitution~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelAttBonus2","LOCALS",1))~ GOTO GelMonkChoice
    IF ~~ THEN REPLY ~I don't want attribute bonuses after all..~ GOTO GelMonkChoice
END

IF ~Class(LastTalkedToBy(Myself),BARD)~ THEN BEGIN GelBard
  SAY ~Do you want to change kit on your Bard?~
    IF ~~ THEN REPLY ~Yes.~ GOTO GelBardKitPick
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END 

IF ~~ THEN BEGIN GelBardKitPick
  SAY ~Which kit do you want?~
    IF ~~ THEN REPLY ~Blade~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("BLADE"))~ GOTO GelBardDone
    IF ~~ THEN REPLY ~Jester~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("JESTER"))~ GOTO GelBardDone
    IF ~~ THEN REPLY ~Skald~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("SKALD"))~ GOTO GelBardDone
    IF ~~ THEN REPLY ~Nevermind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END

IF ~~ THEN BEGIN GelBardDone
  SAY ~Your Bard kit is done~
    IF ~~ THEN REPLY ~Thanks~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END

IF ~Class(LastTalkedToBy(Myself),PALADIN)~ THEN BEGIN GelPaladin
  SAY ~Do you want to change kit on your Paladin?~
    IF ~~ THEN REPLY ~Yes.~ GOTO GelPaladinKitPick
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END 

IF ~~ THEN BEGIN GelPaladinKitPick
  SAY ~Which kit do you want?~
    IF ~~ THEN REPLY ~Cavalier~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("CAVALIER"))~ GOTO GelPaladinDone
    IF ~~ THEN REPLY ~Inquisitor~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("INQUISITOR"))~ GOTO GelPaladinDone
    IF ~~ THEN REPLY ~Undead Hunter~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("UNDEADHUNTER"))~ GOTO GelPaladinDone
    IF ~~ THEN REPLY ~Blackguard~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("Blackguard"))~ GOTO GelPaladinDone
    IF ~~ THEN REPLY ~Nevermind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END

IF ~~ THEN BEGIN GelPaladinDone
  SAY ~Your Paladin kit is done~
    IF ~~ THEN REPLY ~Thanks~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END

IF ~Class(LastTalkedToBy(Myself),SORCERER)~ THEN BEGIN GelSorcerer
  SAY ~Do you want to change kit on your Sorcerer?~
    IF ~~ THEN REPLY ~Yes.~ GOTO GelSorcererKitPick
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END 

IF ~~ THEN BEGIN GelSorcererKitPick
  SAY ~Which kit do you want?~
    IF ~~ THEN REPLY ~Dragon Disciple~ DO ~ActionOverride(LastTalkedToBy(Myself),AddSuperKit("DRAGON_DISCIPLE"))~ GOTO GelSorcererDone
    IF ~~ THEN REPLY ~Nevermind.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END

IF ~~ THEN BEGIN GelSorcererDone
  SAY ~Your Sorcerer kit is done~
    IF ~~ THEN REPLY ~Thanks~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END

IF ~Class(LastTalkedToBy(Myself),SHAMAN)~ THEN BEGIN Shaman
  SAY ~So you want do to some changes to your shaman?~
    IF ~~ THEN REPLY ~Yes.~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~No.~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT
END

IF ~~ THEN BEGIN GelShamanChoice
  SAY ~Which paramater do you want to change?~
    IF ~GlobalLT("GelShaDance","LOCALS",1)~ THEN REPLY ~Change Shaman Dance~ DO ~SetGlobal("GelShaDance","LOCALS",1)~ GOTO GelShamanDancePick
    IF ~GlobalLT("GelShaBar","LOCALS",1) !Kit(LastTalkedToBy(Myself),"GelShBa")~ THEN REPLY ~Change into Barbarian / Shaman~ DO ~SetGlobal("GelShaBar","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),AddSuperKit("GelShBa"))~ GOTO GelShamanBarbarian
    IF ~GlobalLT("GelShaCast","LOCALS",1)~ THEN REPLY ~Modify Shaman Spellcast~ DO ~SetGlobal("GelShaCast","LOCALS",1)~ GOTO GelShamanCastPick
    IF ~GlobalLT("GelShaSpells","LOCALS",1)~ THEN REPLY ~Add some custom spells~ DO ~SetGlobal("GelShaSpells","LOCALS",1)~ GOTO GelShamanSpellsPick
    IF ~~ THEN REPLY ~I'm done~ GOTO GelChooseXPNerf
END

IF ~~ THEN BEGIN GelShamanDancePick
  SAY ~Choose dance feature:~
    IF ~~ THEN REPLY ~No change~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~Regular Shaman Dance, but with movement~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaDance1","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~Thunder Dance.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaDance2","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~Fire Dance.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaDance3","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~Invisibility~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaDance4","LOCALS",1))~ GOTO GelShamanChoice
END

IF ~~ THEN BEGIN GelShamanBarbarian
  SAY ~Do you want cap at 2 or 5 profience points?~
    IF ~~ THEN REPLY ~2~ GOTO GelShamanBarb2
    IF ~~ THEN REPLY ~5~ GOTO GelShamanBarb5
END

IF ~~ THEN BEGIN GelShamanBarb2
  SAY ~Your axe, club and bow category will be locked, you may put 3 points to dual weapon style, and 2 point to every other weapon and style that shaman can use. Axe, club and bow profience will be automaticly filled. 
CHOSE WHICH TO AUTO FOCUS ON FIRST:~
    IF ~~ THEN REPLY ~Axe, then Bow, then Club~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShBa2abc","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~Bow, then Axe, then Club~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShBa2bac","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~1 Bow, 1 Axe until 2, then Club~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShBa2bac1","LOCALS",1))~ GOTO GelShamanChoice
END

IF ~~ THEN BEGIN GelShamanBarb5
  SAY ~Your axe, club and bow category will be locked, you may put 3 points to dual weapon style, and 2 point to every other weapon and style that shaman can use. Axe, club and bow profience will be automaticly filled. 
CHOSE WHICH TO AUTO FOCUS ON FIRST:~
    IF ~~ THEN REPLY ~Axe, then Bow, then Club~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShBa5abc","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~Bow, then Axe, then Club~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShBa5bac","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~1Bow 1Axe balanced until 5, then Club~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShBa5bac1","LOCALS",1))~ GOTO GelShamanChoice
END

IF ~~ THEN BEGIN GelShamanCastPick
  SAY ~Choose features:~
    IF ~~ THEN REPLY ~1 faster cast speed~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaCast1","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~2 faster cast speed~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaCast2","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~1 faster cast speed, 1 more spell casts~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaCast3","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~2 faster cast speed, 1 more spell cast~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaCast4","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~No change~ GOTO GelShamanChoice
END

IF ~~ THEN BEGIN GelShamanSpellsPick
  SAY ~This will add these spells:
- Level 1: Poison Spike (New spell)
- Level 2: Draw Upon Holy Might and Hold person.
- Level 3: Tornado (New spell)
- Level 5: Custom Insect spell(slot saving)
- Level 7: Custom Creeping Doom and Nature Peace(Slot saving)~
    IF ~~ THEN REPLY ~I want it.~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelShaSpells","LOCALS",1))~ GOTO GelShamanChoice
    IF ~~ THEN REPLY ~I don't want it.~ GOTO GelShamanChoice
END

IF ~~ THEN BEGIN GelChooseXPNerf
  SAY ~Choose your experience gained % penalty, theese will overwrite eachothers if previous chosen~
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~0%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp0","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~10%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp10","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~20%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp20","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~30%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp30","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~34%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp34","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~40%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp40","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~50%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp50","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~60%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp60","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~66%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp66","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelXpChosen","LOCALS",1)~ THEN REPLY ~70%~ DO ~SetGlobal("GelXpChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelXp70","LOCALS",1))~ GOTO GelXpChosenConfirmed
    IF ~GlobalLT("GelPotChosen","LOCALS",1)~ THEN REPLY ~I want a potion which allows further customisation(Buff/Nerfs)~ DO ~SetGlobal("GelPotChosen","LOCALS",1) ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelPot1","LOCALS",1))~ GOTO GelPotionOfChoices1
    IF ~GlobalLT("GelHideChosen","LOCALS",1) 
OR(3)
  Class(LastTalkedToBy(Myself),MONK)
  Class(LastTalkedToBy(Myself),RANGER_ALL)
  Class(LastTalkedToBy(Myself),THIEF_ALL)~ THEN REPLY ~I want to subtract hide in shadow% per level to compensate for kit~ DO ~SetGlobal("GelHideChosen","LOCALS",1)~ GOTO GelThieveryNerf
    IF ~~ THEN REPLY ~I'm done~ GOTO GelAnyDone
END

IF ~~ THEN BEGIN GelXpChosenConfirmed
  SAY ~XP% gained ammount chosen.~
    IF ~~ THEN REPLY ~Thanks.~ GOTO GelChooseXPNerf
END

IF ~~ THEN BEGIN GelPotionOfChoices1
  SAY ~Potion of Customization added to inventory.~
    IF ~~ THEN REPLY ~Thanks.~ GOTO GelChooseXPNerf
END

IF ~~ THEN BEGIN GelThieveryNerf
  SAY ~Chose how much hide in shadows are going to be subtracted each level. Note that you have to compensate for this when putting points on level up, be extra carefull if ur thief class is locked at a certain level.~
    IF ~~ THEN REPLY ~-0% to hide in shadows each level~ GOTO GelChooseXPNerf
    IF ~~ THEN REPLY ~-5% to hide in shadows each level~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelHide5","LOCALS",1))~ GOTO GelChooseXPNerf
    IF ~~ THEN REPLY ~-10% to hide in shadows each level~ DO ~ActionOverride(LastTalkedToBy(Myself),SetGlobal("GelHide10","LOCALS",1))~ GOTO GelChooseXPNerf
END

IF ~~ THEN BEGIN GelAnyDone
  SAY ~Your kit overlay/change and custom modifications are done~
    IF ~~ THEN REPLY ~Thanks~ DO ~SetGlobal("GelTDia_Init","LOCALS",3)~ EXIT // Destroys self
END